%define name squaroid
%define version 0.50
%define release 2mdk

Summary: Simple game to connect squares
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Games/Strategy
Source: http://www.azzit.de/squaroid/squaroid-0.50.tar.bz2
BuildRoot: /var/tmp/%{name}-buildroot
URL: http://www.azzit.de/squaroid/

%description
In Squaroid, you earn points by making squares -- that is, you put
your stones down on the board so that you've got one stone at each
corner of a square.

%prep
rm -rf $RPM_BUILD_ROOT

%setup

%build
CFLAGS="${RPM_OPT_FLAGS}" ./configure --prefix=/usr
make

%install
mkdir -p ${RPM_BUILD_ROOT}/usr/bin
mkdir -p ${RPM_BUILD_ROOT}/usr/share/squaroid
make prefix=${RPM_BUILD_ROOT}/usr install
install -m755 irc-bot/squaroid-host.pl ${RPM_BUILD_ROOT}/usr/bin

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
/usr/bin/*

%dir /usr/share/squaroid/
%dir /usr/share/squaroid/gfx/
/usr/share/squaroid/gfx/default/
/usr/share/squaroid/gfx/themes.readme

%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
%doc irc-bot/README.host


%changelog
* Wed May 03 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.50-2mdk
- fix group
- fix files section

* Tue Nov 30 1999 Lenny Cartier <lenny@mandrakesoft.com>
- v0.50

* Mon Sep 13 1999 Daouda LO <daouda@mandrakesoft.com>
-0.45

* Sat Sep 11 1999 Daouda LO <daouda@mandrakesoft.com>

 -0.42

* Thu Sep 09 1999 Daouda LO <daouda@mandrakesoft.com>

- Mandrake adaptations
- make the package relocatable
-- INSERT --                                    


